.dropdown-menu {
  box-shadow: $box-shadow;
  user-select: none;
  margin: 0;

  &.card {
    padding: 0;
    min-width: $dropdown-max-width;
    display: none;

    &.show {
      display: flex;
    }
  }
}

.dropdown-item {
  min-width: $dropdown-min-width;
  display: flex;
  align-items: center;
  margin: 0;
  line-height: $line-height-base;
}

.dropdown-item-icon {
  width: $icon-size !important;
  height: $icon-size !important;
  margin-right: .5rem;
  color: $text-muted;
  opacity: $text-muted-opacity;
  text-align: center;
}

.dropdown-header {
  @include subheader;
  padding-bottom: .25rem;
  pointer-events: none;
}

.dropdown-menu-scrollable {
  height: auto;
  max-height: 12rem;
  overflow-x: hidden;
}

.dropdown-menu-column {
  min-width: $dropdown-min-width;

  .dropdown-item {
    min-width: 0;
  }
}

.dropdown-menu-columns {
  display: flex;
}

.dropdown-menu-arrow {
  //margin-top: .25rem;

  &:before {
    content: "";
    position: absolute;
    top: -.25rem;
    left: .75rem;
    display: block;
    background: inherit;
    width: 14px;
    height: 14px;
    transform: rotate(45deg);
    transform-origin: center;
    border: 1px solid;
    border-color: inherit;
    z-index: -1;
    clip: rect(0px, 9px, 9px, 0px);
  }

  &.dropdown-menu-right {
    &:before {
      right: .75rem;
      left: auto;
    }
  }
}

.dropright {
  > .dropdown-menu {
    margin-top: subtract(-$dropdown-padding-y, 1px);
    margin-left: -.25rem;
  }

  .dropdown-toggle {
    &:after {
      margin-left: auto;
    }
  }
}

.dropdown-menu-center {
  left: 50% !important;
  transform: translateX(-50%) !important;
  top: 100% !important;
}
  
.dropdown-menu-card {
  padding: 0;

  > .card {
    margin: 0;
    border: 0;
    box-shadow: none;
  }
}
